{% extends 'user.html.twig' %}

{% block title %}Gérer les cours{% endblock %}

{% block body %}
	<h1>Gérer les cours</h1>
    <a href="{{ path("cours_ajout") }}" class="btn btn-primary" role="button">+</a>
	<table class="table striped centered">
		<thead>
			<tr>
				<th>Nom du cours</th>
				<th>Nombre de stagiaires</th>
                <th>Date de début</th>
                <th>Date de fin</th>
				<th>Cours validé</th>
				<th>Formation</th>
				<th class="text-center">Actions</th>
			</tr>
		</thead>
		<tbody>
        {% for cour in cours %}
			<tr>
				<td>{{cour.nomCours}}</td>
				<td>{{cour.nbStagiaire}}</td>
				<td>{{cour.dateDebut | date("d/m/Y") }}</td>
                <td>{{cour.dateFin | date("d/m/Y") }}</td>
				{% if cour.validationCours == true %}
                	<td>Validé</td>
				{% else %}
					<td>En cours</td>
				{% endif %}
                <td>{{cour.formation}}</td>
				<td class="text-center">
					<a href="{{ path("formation_show", {id:formation.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
                    <a href="{{ path("cours_edit", {id: cour.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
					<a href="#" class="btn primary press modal-trigger" data-target="modal-delete" data-id="{{cour.id}}" data-titre="{{cour.nomCours}}"><i class="bi bi-trash"></i></a>
				</td>
			</tr>
        {% endfor %}
		</tbody>
	</table>

	<div class="modal white falling" id="modal-delete">
		<div class="modal-header">Supprimer un cours</div>
		<div class="divider"></div>
		<div class="modal-content">
		</div>
		<div class="divider"></div>
		<div class="modal-footer">
			<a href="" class="btn red">Valider</a>
			<button data-target="modal-delete" class="ml-auto btn small primary modal-trigger">Fermer</button>
		</div>
	</div>
{% endblock %}

{% block javascripts %}
	<script>
		window.onload = () => {
			let modal = new Modal('#modal-delete');
			/*let activer = document.querySelectorAll("[type=checkbox]")
			for (let bouton of activer) {
				bouton.addEventListener("click", function () {
					let xmlhttp = new XMLHttpRequest;
					xmlhttp.open("get", `/admin/annonces/activer/${this.dataset.id}`)
					xmlhttp.send()
				})
			}*/
			let supprimer = document.querySelectorAll(".modal-trigger")
			for(let bouton of supprimer){
				bouton.addEventListener("click", function () {
					document.querySelector(".modal-footer a").href = `/cours/supprimer/${this.dataset.id}`
					document.querySelector(".modal-content").innerText = `Êtes-vous sûr(e) de vouloir supprimer le cours "${this.dataset.titre}"`
				})
			}
		}
	</script>
{% endblock %}